jv.object

## Interface PsUpdateIf

- All Known Subinterfaces:
    PgGeometryIf, PjWorkshopIf, PvCameraIf, PvDisplayIf, PvLightIf
  All Known Implementing Classes:
    MathUpdateListener, MyClass, MyClass_IP, MyProject, MyProject_IP, MySurface, PaColorDemo, PdArray_IP, PdColor, PdColor_Dialog, PdColor_IP, PdVector_IP, PgAxes, PgAxes_CP, PgBezierCurve, PgBndConstraint, PgBndPolygon, PgBndPolygon_IP, PgCatenoid, PgCatenoid_CP, PgDomain, PgDomain_CP, PgDomainDescr, PgDomainDescr_IP, PgElementSet, PgElementSet_BP, PgElementSet_IP, PgElementSet_Menu, PgElementSet_Menu, PgElementSet_MP, PgElementSet_TP, PgExport_Dialog, PgFem, PgFemHeight, PgFrame, PgFunction, PgFunction_CP, PgGenusSurface, PgGenusSurface_CP, PgGeometry, PgGeometry_Menu, PgGraph, PgGraph_CP, PgHarmonicMap, PgHelicoid, PgHelicoid_CP, PgJvxSrc, PgLantern, PgLantern_CP, PgMacroPatch, PgMaxPrinciple, PgMaxPrinciple_CP, PgParmCurve, PgParmCurve_CP, PgParmSurface, PgParmSurface_CP, PgPointSet, PgPointSet_IP, PgPointSet_LP, PgPointSet_Menu, PgPointSet_Menu, PgPointSet_MP, PgPointSet_VP, PgPointSetOnElementSet, PgPointSetOnPolygon, PgPolygon, PgPolygon_IP, PgPolygon_Menu, PgPolygon_Menu, PgPolygon_MP, PgPolygonOnElementSet, PgPolygonSet, PgPolygonSet_IP, PgPolygonSet_Menu, PgPolygonSet_Menu, PgPolygonSet_MP, PgPolygonSetOnElementSet, PgRuler, PgRuler_CP, PgSurface, PgSurface_Boy, PgSurface_Breather, PgSurface_BreatherPQ, PgSurface_Catalan, PgSurface_CatenoidHelicoid, PgSurface_Cliffordtorus, PgSurface_Cone, PgSurface_ConicType, PgSurface_CP, PgSurface_Cylinder, PgSurface_DupinCycloid, PgSurface_Ellipsoid, PgSurface_EllipticParaboloid, PgSurface_Enneper, PgSurface_FootballBarrel, PgSurface_Fresnel1, PgSurface_Fresnel2, PgSurface_Henneberg, PgSurface_Hopftorus, PgSurface_HyperbolicHelicoid, PgSurface_HyperbolicParaboloid, PgSurface_HyperboloidType, PgSurface_KleinBottle, PgSurface_KleinBottleUgly, PgSurface_Kuen, PgSurface_LawsonHelicoid, PgSurface_LowerHyperboloid, PgSurface_MoebiusStrip, PgSurface_OuterHyperboloid, PgSurface_PseudoSphere, PgSurface_Sievert, PgSurface_Sphere, PgSurface_SphereWithParams, PgSurface_StereographicSphere, PgSurface_Tannery, PgSurface_Torus, PgSurface_UpperHyperboloid, PgSurface_Zoll, PgSurfaceDescr, PgSurfaceDescr_IP, PgSurfaceGraph, PgSurfaceOfRotation, PgSurfaceOfRotation_CP, PgSurfacePair, PgSurfacePair_IP, PgTexture, PgTexture_IP, PgTube, PgTube_CP, PgVectorField, PgVectorField_IP, PgVertexStar, PgWeierstrass, PgWeierstrass_Bidenoid, PgWeierstrass_Cameloid, PgWeierstrass_CatEnn, PgWeierstrass_CatEnn2Ends, PgWeierstrass_CatEnn2Twist, PgWeierstrass_CatEnnK, PgWeierstrass_Catenoid, PgWeierstrass_CatKExp, PgWeierstrass_CatSplit, PgWeierstrass_Chen, PgWeierstrass_ChenGackstatter, PgWeierstrass_Costa, PgWeierstrass_Costa2, PgWeierstrass_Enn4_5, PgWeierstrass_Enneper, PgWeierstrass_KNoid, PgWeierstrass_KNoid2, PgWeierstrass_PlanarEnd, PgWeierstrass_Scherk, PgWeierstrass_ScherkDoubly, PgWeierstrass_SchwarzD, PgWeierstrass_SchwarzD2, PgWeierstrass_SchwarzP, PgWeierstrass_SchwarzP2, PgWeierstrassDescr, PgWeierstrassDescr_IP, PiArray_IP, PiVector_IP, PjCatenoid, PjCatenoid_IP, PjClosedPoly, PjClosedPoly_IP, PjConformal, PjConformal_IP, PjConjugate, PjConjugate_IP, PjCurvature, PjCurvature_IP, PjCurve, PjCurve_IP, PjCycloid, PjCycloid_IP, PjDeCasteljau, PjDeCasteljau_IP, PjElasticCurve, PjElasticCurve_IP, PjEllipse, PjEllipse_IP, PjEventCamera, PjEventCamera_IP, PjExprOde, PjExprOde_IP, PjGeodesic, PjGeodesic_IP, PjHarmonic, PjHarmonic_IP, PjHeight, PjHeight_IP, PjHelicoid, PjHelicoid_IP, PjHodge, PjHodge_IP, PjImportModel, PjImportModel_Dialog, PjImportModel_InfoBox, PjImportModel_IP, PjImportModel_IPmed, PjJuliaSet, PjJuliaSet_IP, PjKeyframe, PjKeyframe_IP, PjKleinBottle, PjKleinBottle_IP, PjLantern, PjLantern_IP, PjLIC, PjLIC_IP, PjLife, PjLife_IP, PjLinear, PjLinear_IP, PjLSystem, PjLSystem_IP, PjMarchingCubes, PjMarchingCubes_IP, PjMaxPrinciple, PjMaxPrinciple_IP, PjMinesweeper, PjMinesweeper_IP, PjModel, PjModel_IP, PjParmCurve, PjParmCurve_IP, PjParmSurface, PjParmSurface_IP, PjPickEvent, PjPickEvent_IP, PjPlatonic, PjPlatonic_IP, PjPolygonSet, PjProject, PjProject_IP, PjPythagoreanTree, PjPythagoreanTree_IP, PjRivara, PjRivara_IP, PjRootFinder, PjRootFinder_IP, PjRotation, PjRotation_IP, PjRuler, PjRuler_IP, PjRungeKutta, PjRungeKutta_IP, PjSizeEdge, PjSizeEdge_IP, PjSizePolygon, PjSizePolygon_IP, PjSizeVertex, PjSizeVertex_IP, PjSlider, PjSlider_IP, PjSmooth, PjSmooth_IP, PjSnake, PjSnake_IP, PjSubdivision, PjSubdivisionCurve, PjSubdivisionCurve_IP, PjSurface, PjSurface_IP, PjSurfCurve, PjSurfCurve_IP, PjTextureCube, PjTexturedSurface, PjTexturedSurface_IP, PjTorusKnot, PjTorusKnot_IP, PjTransform, PjTransform_IP, PjTranslation, PjTranslation_IP, PjVectorField, PjVectorField_IP, PjWeierstrass, PjWeierstrass_IP, PjWorkshop, PjWorkshop_Dialog, PjWorkshop_IP, PjZigZag, PjZigZag_IP, PnAlignmentEnergy, PnAreaEnergy, PnAreaVolEnergy, PnAsymptOde, PnBandEigenSolver, PnBandEigenSolver_IP, PnCellOperator, PnCellOperator_IP, PnConfEnergy, PnDiriEnergy, PnElasticCurvature, PnElasticOde, PnElementRK, PnEnergy, PnEnergyMinimizer, PnEnergyMinimizer_IP, PnExplode_Dialog, PnExplodePolytope, PnFunction, PnGaussEnergy, PnGeodesicOde, PnGeodesicRK, PnHodgeU, PnHodgeW, PnJacobi, PnJacobi_IP, PnLevelSet, PnMassMatrix, PnMinesweeper, PnMinesweeper_IP, PnOde, PnOdeExpr, PnPassedFunction, PnPrincipalCurvatureOde, PnShadeOde, PnSparseMatrix, PnSpringEnergy, PnStiffAniso, PnStiffConformal, PnStiffDiriConforming, PnStiffDiriNonConforming, PnStiffMatrix, PnStiffSpring, PnSurfaceOde, PnTranslationRK, PnVertexRK, PnVertexRKIgnoreDirection, PnVolumeEnergy, PsAnimation, PsAnimation_IP, PsAuthorInfo, PsAuthorInfo_IP, PsCategoryList_IP, PsConsole, PsDialog, PsExportInfo, PsExportInfo_IP, PsGeometryInfo, PsGeometryInfo_IP, PsJavaView, PsJavaView_IP, PsJvzConfig, PsJvzConfig_IP, PsKey, PsKeyframe, PsLicense, PsLicense_IP, PsMethodMenu, PsModelInfo, PsModelInfo_IP, PsObject, PsPanel, PsTabPanel, PsToolbar, PsToolbarItem, PuBoolean, PuBoolean_IP, PuColorPicker, PuComplexFunction, PuComplexFunction_IP, PuDouble, PuDouble_IP, PuFunction, PuFunction_IP, PuHistogram, PuHistogram_IP, PuInteger, PuInteger_IP, PuPriorityQueue, PvCamera, PvCamera_IP, PvDisplay, PvDisplay_IP, PvLight, PvLight_IP, PvScene, PvViewer, PwBlocks, PwBlocks_IP, PwBoundary, PwBoundary_IP, PwCleanMesh, PwCleanMesh_IP, PwClip, PwClip_IP, PwCurvature, PwEnergy, PwEnergy_IP, PwEvolve, PwEvolve_IP, PwExplode, PwExplode_IP, PwGeodesic, PwGeodesic_IP, PwGeodesicFlow, PwGeodesicFlow_IP, PwHistogram, PwHistogram_IP, PwHodge, PwHodge_IP, PwIdentify, PwIdentifyElements_IP, PwIdentifyVertices_IP, PwIntegralLine, PwIntegralLine_Dialog, PwIntegralLine_IP, PwIntegralLineSet, PwIntegralLineSet_IP, PwIntersectElementSet, PwIntersectElementSet_IP, PwIntersectWithFunction, PwIntersectWithFunction_IP, PwIsoline, PwIsoline_IP, PwLIC, PwLIC_IP, PwLocalButterfly, PwLocalButterfly_IP, PwMarkWithSphere, PwMarkWithSphere_IP, PwMatching, PwMatching_IP, PwModel, PwModel_IP, PwNoise, PwNoise_IP, PwParameterLines, PwParameterLines_IP, PwPlatonic, PwPlatonic_IP, PwReeb, PwReeb_IP, PwRefineElementSet, PwRefineElementSet_IP, PwRefinePolygon, PwRefinePolygon_IP, PwRivaraBisection, PwRotDiv, PwRotDiv_IP, PwScalarField, PwScalarField_IP, PwSeeds, PwSeeds_IP, PwSimplify, PwSimplify_IP, PwSmooth, PwSmooth_IP, PwSnake, PwSnake_IP, PwTexture, PwTexture_IP, PwTopology, PwTopology_IP, PwTransform, PwTransform_IP, PwUnfold, PwUnfold_IP, PwVectorField, PwVectorField_IP

      public interface PsUpdateIf

  Interface for update mechanism of JavaView. Root object for update mechanism is `PsObject`, and `PsPanel` for InfoPanel classes.
  See Also:
    `PsObject`, `PsPanel`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PsUpdateIf` | `getFather()` Get parent and do nothing else.
    `java.lang.String` | `getName()` Get name of instance.
    `void` | `setParent(PsUpdateIf parent)` Set parent and do nothing else.
    `boolean` | `update(java.lang.Object event)` Event handling method in the update mechanism.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get name of instance.

    - #### getFather

          PsUpdateIf getFather()

      Get parent and do nothing else.

      Historical note: previous to Java 1.1 this method was called getParent() in JavaView, but in Java 1.1 a method with same name was introduced in java.awt.Component which prevented us to continue to this method in any of our subclasses of AWT components. In order to be consistent, the JavaView method getParent() was replaced with getFather() everywhere. Since that time JavaView uses the pair setParent/getFather, and lives quite well with that.

      See Also:
        `setParent(PsUpdateIf)`, `update(Object)`

    - #### setParent

          void setParent(PsUpdateIf parent)

      Set parent and do nothing else. Method is implemented by PsObject and PsPanel, and should be called if overwritten.
      Parameters:
        `parent` - will receive events which `this` does not handle
      See Also:
        `getFather()`, `update(Object)`

    - #### update

          boolean update(java.lang.Object event)

      Event handling method in the update mechanism. Events not handled will be passed to m_parent or super in this sequence.
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `getFather()`, `setParent(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"